import { AuthServiceService } from './auth-service.service';
import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { NgxSpinnerService } from 'ngx-spinner';
import { ToastrService } from 'ngx-toastr';

@Injectable({
  providedIn: 'root'
})
export class NewService {

  constructor(private http: HttpClient, 
    private spinner: NgxSpinnerService, 
    private toastr: ToastrService, 
    private authService: AuthServiceService) { }
  //get externals list 
  getnewsList(pageId: number, currentPage: number, dataTableNumber: number){
    this.spinner.show();
    console.log(this.authService.pathApi +'/page_list/' + pageId + '/' + currentPage + '/' + dataTableNumber + '/all');
    return this.http.get(this.authService.pathApi +'/page_list/' + pageId + '/' + currentPage + '/' + dataTableNumber + '/all');
  }

    //get data data from searchBar 
  getDataUSerSearchBar(data, pageId, pagenationNumber, dataTableNumber) {
    console.log('url', this.authService.pathApi + '/page_list' + '/' + pageId + '/' + pagenationNumber + '/' + dataTableNumber + '/all/' + data);
    return this.http.get(this.authService.pathApi + '/page_list' + '/' + pageId + '/' + pagenationNumber + '/' + dataTableNumber + '/all/' + data);
  }

    //delete data 
    deleteNew(externalsIds) {
      console.log(externalsIds);
      return this.http.post(this.authService.pathApi + '/delete_reports' , {'reports_id' : externalsIds});  
    };
  
    //add external 
    addNew(dataExternals) {
      console.log(dataExternals);
      return this.http.post(this.authService.pathApi + '/add_report', dataExternals);
    }
  
    //get external data
    getNewData(externalId: number) {
      return this.http.get(this.authService.pathApi + '/get_report/' + externalId);
    };
  
    //edit extrnal
    editNew( dataRoleEdit, EditRoleId){
      const editData = dataRoleEdit;
      editData.id = EditRoleId;
      console.log(editData);
      return this.http.post(this.authService.pathApi + '/edit_report', editData);
    }

    
}
